//+------------------------------------------------------------------+
//|                                       Soheil Turtle Lines.mq4   |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//| Modified from LSMA_In_Color to use any MA by Robert Hill         |     
//+------------------------------------------------------------------+


//---- indicator settings

#property  indicator_chart_window
#property  indicator_buffers 2
#property indicator_color1 LightCoral     
#property indicator_color2 LightCoral  
//#property indicator_color2 Yellow
//#property indicator_color3 Red

extern int       MAPeriod=56;
//extern double    Upper_Channel_Factor=0.01;
//extern double    Lower_Channel_Factor=0.01;
//---- buffers
static datetime New_bar;
//double UPPER_Channel[];
//double LOWER_CHANNEL[];
double TURTLE_Long[], TURTLE_Short[];
//---- variables



//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorBuffers(2);
   New_bar=iTime("EURUSD",PERIOD_D1,0);
//---- drawing settings
   
   //SetIndexBuffer(1,LOWER_CHANNEL);
   //SetIndexBuffer(0,UPPER_Channel);
   SetIndexBuffer(0,TURTLE_Long);
   SetIndexBuffer(1,TURTLE_Short);
   //SetIndexStyle(1,DRAW_LINE,STYLE_DASH,1);
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,3);
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,3);
   //SetIndexStyle(2,DRAW_LINE,STYLE_SOLID,2);

   IndicatorShortName( "Turtle_Lines ( "+ MAPeriod + ") ");
   SetIndexLabel(0,"TURTLE LONG Breakout");
   SetIndexLabel(1,"TURTLE SHORT Breakout");
   //SetIndexLabel(1,"Kijun Lower Band");
   //SetIndexLabel(2,"Kijun Value");
//---- initialization done
   return(0);
  }



int start()

  {
  
   int    i,k,high_idx, Low_idx, TimeFrame;
   int    counted_bars=IndicatorCounted(),limit;
   double high,low,price;
   if(Period() != PERIOD_D1)return(0);
   TimeFrame=Period();
   //if(TimeFrame>1440)
 //  {
 //     Print("CURRENT TIMEFRAME is greater than the Daily, Exiting");
  //    return(0);
  // }
  // else
 //  {
               if(counted_bars>0)
               { counted_bars--;
                 limit=Bars-counted_bars;
               }
               else
                  limit=Bars-counted_bars-MAPeriod;
      
               for(i=0; i<limit; i++)
               {
                  high_idx=iHighest(Symbol(),PERIOD_D1,MODE_HIGH,MAPeriod,i);
                  Low_idx=iLowest(Symbol(),PERIOD_D1,MODE_LOW,MAPeriod,i);
                  high=High[high_idx];
                  low=Low[Low_idx];
                  TURTLE_Long[i]=high;
                  TURTLE_Short[i]=low;
                  //UPPER_Channel[i]=KIJUN_VAL[i]+KIJUN_VAL[i]*Upper_Channel_Factor;
                  //LOWER_CHANNEL[i]=KIJUN_VAL[i]-KIJUN_VAL[i]*Lower_Channel_Factor;
               }
    //}
      return(0);
  }
//+------------------------------------------------------------------+



